Gravv DOCS
Docs Agent Get Started
API Reference Get card application

Get card application

Retrieve the card application associated with a customer.

GET/v1/cards/applications/{application_id}

Path Parameters

The ID of the card application (UUID).

Responses

Status Description
200 Card application retrieved successfully

200 response

ID of the card application

Currency of the funds the card will use

Card network

Current status of the card (card lifecycle status)

Possible values: active, freeze, blocked, inactive

Link for selfie verification. This is only present when status is associated with a pending verification step.

Timestamp when the application was created

Timestamp when the application was last updated

{
"data": {
"address": {
  "city": "Palo Alto City",
  "country_code": "US",
  "postal_code": "01023",
  "state": "California",
  "street": "Palo Alto Line 1"
},
"currency": "USD",
"date_created": "2025-11-14T12:46:43.511Z",
"date_updated": "2025-11-14T12:46:43.511Z",
"id": "a14ec356-f33d-4384-ba68-4d9bfa19765b",
"network": "visa",
"status": "active"
},
"error": null
}
{
"data": {
"address": {
  "city": "Palo Alto City",
  "country_code": "US",
  "postal_code": "01023",
  "state": "California",
  "street": "Palo Alto Line 1"
},
"currency": "USD",
"date_created": "2025-11-14T12:46:43.511Z",
"date_updated": "2025-11-14T12:46:43.511Z",
"id": "a14ec356-f33d-4384-ba68-4d9bfa19765b",
"network": "visa",
"status": "active",
"application_link": "https://verify.gravv.xyz/kyc?token=example"
},
"error": null
}
{
"data": {
"address": {
  "city": "Palo Alto City",
  "country_code": "US",
  "postal_code": "01023",
  "state": "California",
  "street": "Palo Alto Line 1"
},
"currency": "USD",
"date_created": "2025-11-14T12:46:43.511Z",
"date_updated": "2025-11-14T12:46:43.511Z",
"id": "a14ec356-f33d-4384-ba68-4d9bfa19765b",
"network": "visa",
"status": "active"
},
"error": null
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC